For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create WHOIS profile

Create WHOIS contact profile. Use this endpoint to add new contact information for domain registration.

Create WHOIS profile

post

Create WHOIS contact profile.

Use this endpoint to add new contact information for domain registration.

Authorizations
AuthorizationstringRequired

API Token authentication

Body
tldstringRequired

TLD of the domain (without leading dot)

Example: com
countrystringRequired

ISO 3166 2-letter country code

Example: NL
entity_typestring · enumRequired

Legal entity type

Example: individualPossible values:
tld_detailsobjectOptional

TLD details

whois_detailsobjectRequired

WHOIS details

Responses
200

Success response

application/json
idintegerOptional

WHOIS Profile ID

Example: 746263
tldstringOptional

TLD to which contact profile can be applied to

Example: com
countrystringOptional

ISO 3166 2-letter country code

Example: NL
entity_typestring · enumOptional

WHOIS profile entity type

Example: individualPossible values:
whois_detailsobjectOptional

WHOIS profile details

Example: {"first_name":"John","last_name":"Doe","email":"john@doe.tld"}
tld_detailsobjectOptional

TLD details

created_atstring · date-timeOptionalExample: 2025-02-27T11:54:22Z
updated_atstring · date-timeOptionalExample: 2025-03-19T11:54:22Z
post/api/domains/v1/whois
POST /api/domains/v1/whois HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 91

{
  "tld": "com",
  "country": "NL",
  "entity_type": "individual",
  "tld_details": {},
  "whois_details": {}
}
{
  "id": 746263,
  "tld": "com",
  "country": "NL",
  "entity_type": "individual",
  "whois_details": {
    "first_name": "John",
    "last_name": "Doe",
    "email": "john@doe.tld"
  },
  "tld_details": {},
  "created_at": "2025-02-27T11:54:22Z",
  "updated_at": "2025-03-19T11:54:22Z"
}

Last updated

Was this helpful?